Introduction
------------

Eventd is a web socket client and server wrapper around **em-websockets**. Eventd strives to provide an event-based
structure, which provides the basis for web-socket enabled applications. Eventd implements a Server and a Client, which
both inherit from ``EventdObject``.


Installation
------------

```
gem install eventd
```


EventdObject Example
--------------------

```ruby
require 'eventd'

class Dog < EventdObject
    def initialize(name)
        super()
        @name = name
    end

    def bark
        self.emit 'bark'
    end
end

vader = Dog.new 'Vader'

vader.on 'bark' do
    puts 'Vader barked! OMGWTFBBQ!'
end

vader.bark
```


EventdServer Example
---------------------

```ruby
require 'eventd'

server = EventdServer.new :host => '127.0.0.1', :port => 8080

server.run do
    server.on 'connection' do |client|
        client.on 'hello' do
            client.emit 'hello!'
        end
    end
end

server.start
```
